<ion-view title="Polls" ng-controller="pollsCtrl as scope">
  <ion-content>

    <div class="row">
      <div class="col-sm-12">
        <div class="navbar navbar-default" ng-repeat="(key, poll) in scope.polls" ng-hide="key == 'active'">
          <p class="navbar-text">{{poll.title}}</p>

          <div class="nav navbar-nav navbar-right" style="margin-right: 15px !important;">
            <button class="btn btn-primary navbar-btn" ng-click="scope.edit(key)" ng-hide="!scope.polls[key].done">View</button>
            <button class="btn btn-primary navbar-btn" ng-click="scope.edit(key)" ng-hide="scope.polls[key].done">Edit</button>
            <button class="btn btn-success navbar-btn" ng-if="scope.polls.active != key" ng-click="scope.publish(key)">Publish</button>
            <button class="btn btn-warning navbar-btn" ng-if="scope.polls.active == key" ng-click="scope.unpublish(key)">Unpublish</button>
            <button class="btn btn-danger navbar-btn" ng-if="scope.polls.active != key" ng-hide="scope.polls[key].done" ng-click="scope.remove(key)">Delete</button>
          </div>
        </div>
      </div>
    </div>

  </ion-content>

  <ion-footer-bar align-title="left" class="bar-calm">
    <div class="buttons">
      <button class="button" ng-click="scope.addPoll()">Add Poll</button>
    </div>
  </ion-footer-bar>
</ion-view>
